%define major 16
%define libname %mklibname xklavier %major
%define develname %mklibname -d xklavier
%define staticname %mklibname -s -d xklavier
%define gmajor		1.0

Name:		libxklavier
Summary:	X Keyboard support library
Version:	5.4
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
URL:		http://gswitchit.sourceforge.net/
BuildRequires:	libxml2-devel
BuildRequires:	doxygen
BuildRequires:	libxkbfile-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk-doc
BuildRequires:	automake1.9
BuildRequires:	gettext-devel
BuildRequires:	iso-codes
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: 	%{name} < %version


%description
This library allows you simplify XKB-related development.


%package -n %libname
Summary:	X Keyboard support library
Group:		System/Libraries
Requires: iso-codes

%description -n %libname
This library allows you simplify XKB-related development.

%package -n %develname
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: %name-devel = %version-%release
Conflicts: %{_lib}xklavier8-devel
Obsoletes: %mklibname -d xklavier 11

%description  -n %develname
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %staticname
Group: Development/Libraries
Summary: Static library of %name
Requires: %develname = %version
Provides: %{name}-static-devel = %{version}-%{release}
Obsoletes: %mklibname -s -d xklavier 11

%description -n %staticname
This package contains the static library required for statically
linking applications based on %{name}.

%prep
%setup -q

%build
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi
%configure2_5x --with-xkb-base=%_datadir/X11/xkb/ --with-xkb-bin-base=%_bindir/
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}


%files -n %libname
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.%{major}*
%{_libdir}/girepository-1.0/Xkl-%{gmajor}.typelib


%files -n %develname
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%_datadir/gtk-doc/html/libxklavier/
%{_datadir}/gir-1.0/Xkl-%{gmajor}.gir
%{_datadir}/vala/vapi/libxklavier.deps
%{_datadir}/vala/vapi/libxklavier.vapi

%files -n %staticname
%defattr(-, root, root)
%{_libdir}/*.a



%changelog
* Sun Dec 04 2016 adrianomorselli <adrianomorselli> 5.4-2uplos2016
- rebuild

* Wed Jul 20 2016 bb <bb. 5.4-2pclos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 5.4-1pclos2016
- update

* Fri Oct 18 2013 billybot <billybot> 0.5.2.1-1pclos2013
- update for cinnamon

* Fri Apr 08 2011 Texstar <texstar at gmail.com> 5.1-1pclos2011
- 5.1

* Mon Mar 29 2010 Texstar <texstar at gmail.com> 5.0-1pclos2010
- 5.0

* Mon Jan 11 2010 Texstar <texstar at gmail.com> 4.0.1-2pclos2010
- build for updates
